Announcement

Collapse
No announcement yet.

Php5 / Mysql 4.1.9 Howto

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • IWorx-Chris
    replied
    100% possible. If you'd like to 'donate' the use of your server for the setup I can do the howto on it Paul. I've just been short on time and we don't have any free boxes with a fresh iworx-cp on them.

    I can do another quickie howto like I did for the jailed shell if that's ok.

    Chris

    Leave a comment:


  • Guest's Avatar
    Guest replied
    Just a bump to see if there's any news on this front. I have a new box that should be coming online today or tomorrow and I'd like to set it up with PHP 5.0.4 and MySQL 4.1.12 if possible. :)

    Leave a comment:


  • Justec
    replied
    Thanks Chris, I want to setup my test box with PHP5 so I can start internally testing my PHP scripts on the new engine.

    Leave a comment:


  • IWorx-Chris
    replied
    We've had some other recent questions about this and I'll post a whitepaper on how it's most easily done. There have been some nonsense rumors that iworx-cp doesn't "support" PHP5 and it's partly our fault for lack of info on the subject.

    Chris

    Leave a comment:


  • Justec
    replied
    What's the latest (easiest) way to install PHP5 now on an Iworx box?

    Leave a comment:


  • IWorx-Chris
    replied
    This is for php5/mysql4.1 only, any previous version(s) for php and/or mysql will be upgraded and not exist on the box anymore.

    Leave a comment:


  • Guest's Avatar
    Guest replied
    To upgrade your iworx-CP boxes to use php5 and mysql 4.1 you can add this to your /etc/yum.conf
    Does it means there will be only php5 / mysql 4.1 on the box, or does it mean there will be both php4/php5 and mysql 4.0x/4.1 working together ?

    Thanks
    Pascal

    Leave a comment:


  • IWorx-Chris
    started a topic Php5 / Mysql 4.1.9 Howto

    Php5 / Mysql 4.1.9 Howto

    I tried to make this easy but I only did it for CentOS at this time due to my busy schedule. I'll accept RPMs for other platforms as well if people would like to submit them.

    !! WARNING !! WARNING !!

    THIS IS DEEMED EXPERIMENTAL AND WILL NOT BE SUPPORTED DIRECTLY BY US. IT MAY BREAK YOUR BOX, IT MAY WORK FINE.

    We have it running on a few internal servers and it has been fine, but you have been forewarned.

    To upgrade your iworx-CP boxes to use php5 and mysql 4.1 you can add this to your /etc/yum.conf

    Code:
    [interworx-php5-mysql4.1]
    name=InterWorx-CP - CentOS - PHP 5.X / MYSQL 4.1.X
    baseurl=http://updates.interworx.info/iworx/RPMS/cos3x/php5-mysql4.1/$basearch
    #gpgcheck=1
    Then just 'yum update' and restart httpd

    NOTE: THE ABOVE WILL ONLY WORK FOR CENTOS BOXES.

    If you'd like to get your Fedora/RedHat/WhiteBox boxes working just compile and install the following RPMS in the following order:

    http://updates.interworx.info/iworx/....iworx.src.rpm
    http://updates.interworx.info/iworx/....iworx.src.rpm
    http://updates.interworx.info/iworx/....iworx.src.rpm

    If you'd like to submit binaries of the other platforms just PM me.

    Chris
Working...
X